﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RadBreadCrumb.Extended
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            ImageSourceConverter isc = new ImageSourceConverter();

            BreadCrumbDataClass Root = new BreadCrumbDataClass();

            Root.Id = 0;
            Root.HeaderText = "Root";
            Root.ImagePath = (ImageSource)isc.ConvertFromString("Images/Desktop.png");

            xRadBreadCrumb.Header = Root;
            xRadBreadCrumb.HeaderMemberPath = "HeaderText";


            for (int i = 0; i < 10; i++)
            {
                BreadCrumbDataClass bcdc = new BreadCrumbDataClass();
                bcdc.Id = i + 1;
                bcdc.HeaderText = "Child " + (i + 1).ToString();
                bcdc.ImagePath = (ImageSource)isc.ConvertFromString("Images/Folder.png");

                for (int j = 0; j < 3; j++)
                {
                    BreadCrumbDataClass bcdcGC = new BreadCrumbDataClass();
                    bcdcGC.Id = j;
                    bcdcGC.HeaderText = "Grandkid " + j.ToString();
                    bcdcGC.ImagePath = (ImageSource)isc.ConvertFromString("Images/junk.png");

                    bcdc.Crumbs.Add(bcdcGC);
                }

                Root.Crumbs.Add(bcdc);
            }

            xRadBreadCrumb.HierarchicalItemsSource = "Crumbs";
            xRadBreadCrumb.HierarchicalMemberPath = "HeaderText";
            xRadBreadCrumb.TextModePath = "HeaderText";
            xRadBreadCrumb.ImagePath = "ImagePath";
            xRadBreadCrumb.IsIconVisible = true;

            xRadBreadCrumb.HistorySize = 4;
            xRadBreadCrumb.IsHistoryEnabled = false;

            xRadBreadCrumb.ItemsSource = Root.Crumbs;
        }
    }
}
